Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
--- Logging error ---
Traceback (most recent call last):
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_event_handler.py", line 343, in on_raiden_event
handle_contract_send_channelsettle(raiden, event)
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_event_handler.py", line 307, in handle_contract_send_channelsettle
second_locksroot,
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/proxies/payment_channel.py", line 201, in settle
partner_locksroot=partner_locksroot,
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/proxies/token_network.py", line 912, in settle
raise RaidenRecoverableError('local state can not be used to call settle')
raiden.exceptions.RaidenRecoverableError: local state can not be used to call settle
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.6/logging/__init__.py", line 992, in emit
msg = self.format(record)
File "/usr/lib/python3.6/logging/__init__.py", line 838, in format
return fmt.format(record)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/stdlib.py", line 459, in format
record.msg = self.processor(logger, meth_name, ed)
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/log_config.py", line 24, in wrapper
result = first_func(*args, **kwargs)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/dev.py", line 189, in __call__
event = _pad(event, self._pad_event) + self._styles.reset + " "
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/dev.py", line 35, in _pad
missing = l - len(s)
TypeError: object of type 'RaidenRecoverableError' has no len()
Call stack:
File "/home/cosmin/.virtualenvs/raiden/bin/raiden", line 11, in <module>
load_entry_point('raiden', 'console_scripts', 'raiden')()
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/__main__.py", line 11, in main
run(auto_envvar_prefix='RAIDEN') # pylint: disable=no-value-for-parameter
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 722, in __call__
return self.main(*args, **kwargs)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 697, in main
rv = self.invoke(ctx)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 1043, in invoke
return Command.invoke(self, ctx)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 895, in invoke
return ctx.invoke(self.callback, **ctx.params)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 535, in invoke
return callback(*args, **kwargs)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/decorators.py", line 17, in new_func
return f(get_current_context(), *args, **kwargs)
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 1064, in run
NodeRunner(kwargs, ctx).run()
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 923, in run
app = self._run_app()
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 941, in _run_app
app_ = run_app(**self._options)
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 765, in run_app
raiden_app.start()
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/app.py", line 132, in start
self.raiden.start()
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_service.py", line 310, in start
self.start_async().wait()
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_service.py", line 288, in start_async
on_raiden_event(self, transaction)
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_event_handler.py", line 349, in on_raiden_event
log.error(e)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/stdlib.py", line 81, in error
return self._proxy_to_logger("error", event, *args, **kw)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/stdlib.py", line 119, in _proxy_to_logger
**event_kw)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/_base.py", line 177, in _proxy_to_logger
return getattr(self._logger, method_name)(*args, **kw)
Message: {'event': RaidenRecoverableError('local state can not be used to call settle',), 'logger': 'raiden.raiden_event_handler', 'level': 'error', 'timestamp': '2018-08-21 10:27:54'}
Arguments: ()
--- Logging error ---
Traceback (most recent call last):
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_event_handler.py", line 343, in on_raiden_event
handle_contract_send_channelsettle(raiden, event)
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_event_handler.py", line 307, in handle_contract_send_channelsettle
second_locksroot,
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/proxies/payment_channel.py", line 201, in settle
partner_locksroot=partner_locksroot,
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/proxies/token_network.py", line 912, in settle
raise RaidenRecoverableError('local state can not be used to call settle')
raiden.exceptions.RaidenRecoverableError: local state can not be used to call settle
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.6/logging/handlers.py", line 71, in emit
if self.shouldRollover(record):
File "/usr/lib/python3.6/logging/handlers.py", line 187, in shouldRollover
msg = "%s\n" % self.format(record)
File "/usr/lib/python3.6/logging/__init__.py", line 838, in format
return fmt.format(record)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/stdlib.py", line 459, in format
record.msg = self.processor(logger, meth_name, ed)
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/log_config.py", line 24, in wrapper
result = first_func(*args, **kwargs)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/dev.py", line 189, in __call__
event = _pad(event, self._pad_event) + self._styles.reset + " "
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/dev.py", line 35, in _pad
missing = l - len(s)
TypeError: object of type 'RaidenRecoverableError' has no len()
Call stack:
File "/home/cosmin/.virtualenvs/raiden/bin/raiden", line 11, in <module>
load_entry_point('raiden', 'console_scripts', 'raiden')()
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/__main__.py", line 11, in main
run(auto_envvar_prefix='RAIDEN') # pylint: disable=no-value-for-parameter
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 722, in __call__
return self.main(*args, **kwargs)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 697, in main
rv = self.invoke(ctx)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 1043, in invoke
return Command.invoke(self, ctx)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 895, in invoke
return ctx.invoke(self.callback, **ctx.params)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 535, in invoke
return callback(*args, **kwargs)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/decorators.py", line 17, in new_func
return f(get_current_context(), *args, **kwargs)
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 1064, in run
NodeRunner(kwargs, ctx).run()
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 923, in run
app = self._run_app()
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 941, in _run_app
app_ = run_app(**self._options)
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 765, in run_app
raiden_app.start()
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/app.py", line 132, in start
self.raiden.start()
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_service.py", line 310, in start
self.start_async().wait()
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_service.py", line 288, in start_async
on_raiden_event(self, transaction)
File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_event_handler.py", line 349, in on_raiden_event
log.error(e)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/stdlib.py", line 81, in error
return self._proxy_to_logger("error", event, *args, **kw)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/stdlib.py", line 119, in _proxy_to_logger
**event_kw)
File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/_base.py", line 177, in _proxy_to_logger
return getattr(self._logger, method_name)(*args, **kw)
Message: {'event': RaidenRecoverableError('local state can not be used to call settle',), 'logger': 'raiden.raiden_event_handler', 'level': 'error', 'timestamp': '2018-08-21 10:27:54'}
Arguments: ()
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.